---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libobjmonusage006.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F120, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51060, symBinAddr: 0xA100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51450, symBinAddr: 0xA4F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x523F0, symBinAddr: 0xB490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52400, symBinAddr: 0xB4A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4ED90, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4ED94, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4ED98, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4EEF0, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4EFA8, symBinAddr: 0x8148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4EFAC, symBinAddr: 0x814C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4EFB0, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4EFB4, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4EFB8, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4EFC0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4EFD8, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4EFE0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4EFE8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4EFF0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4EFF8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F040, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4F048, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4F058, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x9149, offset: 0x9149, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xB20, symSize: 0x80 }
  - { offsetInCU: 0x91DE, offset: 0x91DE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xA70, symSize: 0xB0 }
  - { offsetInCU: 0x9239, offset: 0x9239, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x970, symSize: 0x100 }
  - { offsetInCU: 0x94CC, offset: 0x94CC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xBA0, symSize: 0x220 }
  - { offsetInCU: 0x96B1, offset: 0x96B1, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xDC0, symSize: 0xA0 }
  - { offsetInCU: 0x9764, offset: 0x9764, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xE60, symSize: 0x110 }
  - { offsetInCU: 0x985A, offset: 0x985A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xF70, symSize: 0x150 }
  - { offsetInCU: 0x998B, offset: 0x998B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x10C0, symSize: 0x30 }
  - { offsetInCU: 0x9A14, offset: 0x9A14, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x10F0, symSize: 0x150 }
  - { offsetInCU: 0x9C0C, offset: 0x9C0C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1240, symSize: 0x160 }
  - { offsetInCU: 0x9D98, offset: 0x9D98, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x13A0, symSize: 0x1B0 }
  - { offsetInCU: 0x9FB3, offset: 0x9FB3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1550, symSize: 0xA0 }
  - { offsetInCU: 0xA082, offset: 0xA082, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x15F0, symSize: 0x20 }
  - { offsetInCU: 0xA0B9, offset: 0xA0B9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1610, symSize: 0x20 }
  - { offsetInCU: 0xA0F0, offset: 0xA0F0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1630, symSize: 0x20 }
  - { offsetInCU: 0xA25F, offset: 0xA25F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1650, symSize: 0x1A0 }
  - { offsetInCU: 0xA585, offset: 0xA585, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x17F0, symSize: 0x80 }
  - { offsetInCU: 0xA64E, offset: 0xA64E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1870, symSize: 0x6A0 }
  - { offsetInCU: 0xB1E3, offset: 0xB1E3, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9D80, symBinAddr: 0x2780, symSize: 0xB0 }
  - { offsetInCU: 0xB25A, offset: 0xB25A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x1F10, symSize: 0x70 }
  - { offsetInCU: 0xB316, offset: 0xB316, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x1F80, symSize: 0xA0 }
  - { offsetInCU: 0xB415, offset: 0xB415, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2020, symSize: 0x40 }
  - { offsetInCU: 0xB50B, offset: 0xB50B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2060, symSize: 0x2B0 }
  - { offsetInCU: 0xB8B1, offset: 0xB8B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2310, symSize: 0xC0 }
  - { offsetInCU: 0xB9F7, offset: 0xB9F7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x23D0, symSize: 0x10 }
  - { offsetInCU: 0xBAB9, offset: 0xBAB9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x23E0, symSize: 0x220 }
  - { offsetInCU: 0xBDB6, offset: 0xBDB6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2600, symSize: 0x10 }
  - { offsetInCU: 0xBE0C, offset: 0xBE0C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2610, symSize: 0xF0 }
  - { offsetInCU: 0xBF8C, offset: 0xBF8C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x2700, symSize: 0x10 }
  - { offsetInCU: 0xC00E, offset: 0xC00E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetObjectMonitorUsage_objmonusage006_check, symObjAddr: 0x9D10, symBinAddr: 0x2710, symSize: 0x60 }
  - { offsetInCU: 0xC0C9, offset: 0xC0C9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetObjectMonitorUsage_objmonusage006_getRes, symObjAddr: 0x9D70, symBinAddr: 0x2770, symSize: 0x10 }
  - { offsetInCU: 0xC0FE, offset: 0xC0FE, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9E30, symBinAddr: 0x2830, symSize: 0x36A }
...
